[arch-commits] Commit in fluidsynth/repos (12 files)

Ray Rashif schiv at archlinux.org
Sun Sep 9 20:43:05 UTC 2012


    Date: Sunday, September 9, 2012 @ 16:43:05
  Author: schiv
Revision: 166535

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  fluidsynth/repos/testing-i686/
  fluidsynth/repos/testing-i686/PKGBUILD
    (from rev 166534, fluidsynth/trunk/PKGBUILD)
  fluidsynth/repos/testing-i686/fluidsynth.conf
    (from rev 166534, fluidsynth/trunk/fluidsynth.conf)
  fluidsynth/repos/testing-i686/fluidsynth.install
    (from rev 166534, fluidsynth/trunk/fluidsynth.install)
  fluidsynth/repos/testing-i686/fluidsynth.rc
    (from rev 166534, fluidsynth/trunk/fluidsynth.rc)
  fluidsynth/repos/testing-i686/fluidsynth.systemd
    (from rev 166534, fluidsynth/trunk/fluidsynth.systemd)
  fluidsynth/repos/testing-x86_64/
  fluidsynth/repos/testing-x86_64/PKGBUILD
    (from rev 166534, fluidsynth/trunk/PKGBUILD)
  fluidsynth/repos/testing-x86_64/fluidsynth.conf
    (from rev 166534, fluidsynth/trunk/fluidsynth.conf)
  fluidsynth/repos/testing-x86_64/fluidsynth.install
    (from rev 166534, fluidsynth/trunk/fluidsynth.install)
  fluidsynth/repos/testing-x86_64/fluidsynth.rc
    (from rev 166534, fluidsynth/trunk/fluidsynth.rc)
  fluidsynth/repos/testing-x86_64/fluidsynth.systemd
    (from rev 166534, fluidsynth/trunk/fluidsynth.systemd)

-----------------------------------+
 testing-i686/PKGBUILD             |   51 ++++++++++++++++++++++++++++++++++++
 testing-i686/fluidsynth.conf      |    2 +
 testing-i686/fluidsynth.install   |   19 +++++++++++++
 testing-i686/fluidsynth.rc        |   40 ++++++++++++++++++++++++++++
 testing-i686/fluidsynth.systemd   |    9 ++++++
 testing-x86_64/PKGBUILD           |   51 ++++++++++++++++++++++++++++++++++++
 testing-x86_64/fluidsynth.conf    |    2 +
 testing-x86_64/fluidsynth.install |   19 +++++++++++++
 testing-x86_64/fluidsynth.rc      |   40 ++++++++++++++++++++++++++++
 testing-x86_64/fluidsynth.systemd |    9 ++++++
 10 files changed, 242 insertions(+)

Copied: fluidsynth/repos/testing-i686/PKGBUILD (from rev 166534, fluidsynth/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Ray Rashif <schiv at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+pkgname=fluidsynth
+pkgver=1.1.6
+pkgrel=1
+pkgdesc="A real-time software synthesizer based on the SoundFont 2 specifications"
+arch=('i686' 'x86_64')
+url="http://www.fluidsynth.org/"
+depends=('glib2' 'jack' 'dbus-core' 'libpulse')
+makedepends=('cmake' 'ladspa' 'doxygen')
+optdepends=('pulseaudio: PulseAudio sound support')
+license=('LGPL')
+backup=('etc/conf.d/fluidsynth')
+install=$pkgname.install
+source=("http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+        'fluidsynth.conf'
+        'fluidsynth.rc'
+        'fluidsynth.systemd')
+md5sums=('ae5aca6de824b4173667cbd3a310b263'
+         '7d0ab0d75d4e87652f4cb7ffeac8a82b'
+         'b296dbfb524c2164f552f68bd9abe2ec'
+         'e0406748a154409907df62292be32e8a')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  cmake . -DCMAKE_INSTALL_PREFIX=/usr \
+          -DCMAKE_BUILD_TYPE=Release \
+          -Denable-ladspa=ON \
+          -DLIB_SUFFIX=""
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir/" install
+
+  install -Dm644 "$srcdir/fluidsynth.conf" \
+    "$pkgdir/etc/conf.d/fluidsynth"
+
+  install -Dm755 "$srcdir/fluidsynth.rc" \
+    "$pkgdir/etc/rc.d/fluidsynth"
+
+  install -Dm644 "$srcdir/fluidsynth.systemd" \
+    "$pkgdir/usr/lib/systemd/system/fluidsynth.service"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: fluidsynth/repos/testing-i686/fluidsynth.conf (from rev 166534, fluidsynth/trunk/fluidsynth.conf)
===================================================================
--- testing-i686/fluidsynth.conf	                        (rev 0)
+++ testing-i686/fluidsynth.conf	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,2 @@
+FSYNTH_OPTS="-a alsa -m alsa_seq -r 48000"
+FSYNTH_SOUNDFONT="" # path to your soundfont

Copied: fluidsynth/repos/testing-i686/fluidsynth.install (from rev 166534, fluidsynth/trunk/fluidsynth.install)
===================================================================
--- testing-i686/fluidsynth.install	                        (rev 0)
+++ testing-i686/fluidsynth.install	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,19 @@
+post_install() {
+	echo
+	echo "  > To use FluidSynth as a daemon edit /etc/conf.d/fluidsynth"
+	echo
+	echo "  > Systemd users need to copy the service file from:"
+	echo "      /usr/lib/systemd/system/fluidsynth.service"
+	echo "  > to:"
+	echo "      /etc/systemd/system/multi-user.target.wants/"
+	echo "  > and then edit accordingly."
+	echo
+	echo "  > PulseAudio output when running as a daemon"
+	echo "  > is known to be problematic. See:"
+	echo "      https://bbs.archlinux.org/viewtopic.php?id=135092"
+	echo
+}
+
+post_upgrade() {
+	post_install
+}

Copied: fluidsynth/repos/testing-i686/fluidsynth.rc (from rev 166534, fluidsynth/trunk/fluidsynth.rc)
===================================================================
--- testing-i686/fluidsynth.rc	                        (rev 0)
+++ testing-i686/fluidsynth.rc	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/fluidsynth ] && . /etc/conf.d/fluidsynth
+
+PID=`pidof -o %PPID /usr/bin/fluidsynth`
+case "$1" in
+   start)
+     stat_busy "Starting Fluidsynth soundfont synthesizer"
+     [ -z "$PID" ] && /usr/bin/fluidsynth -is $FSYNTH_OPTS $FSYNTH_SOUNDFONT > /dev/null 2>&1 &
+     if [ $? -gt 0 ]; then
+       stat_fail
+     else
+       echo $PID > /var/run/fluidsynth.pid
+       add_daemon fluidsynth
+       stat_done
+     fi
+     ;;
+   stop)
+     stat_busy "Stopping Fluidsynth soundfont synthesizer"
+     [ ! -z "$PID" ]  && kill $PID &> /dev/null 2>&1
+     if [ $? -gt 0 ]; then
+       stat_fail
+     else
+       rm /var/run/fluidsynth.pid
+       rm_daemon fluidsynth
+       stat_done
+     fi
+     ;;
+   restart)
+     $0 stop
+     sleep 1
+     $0 start
+     ;;
+   *)
+     echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: fluidsynth/repos/testing-i686/fluidsynth.systemd (from rev 166534, fluidsynth/trunk/fluidsynth.systemd)
===================================================================
--- testing-i686/fluidsynth.systemd	                        (rev 0)
+++ testing-i686/fluidsynth.systemd	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,9 @@
+[Unit]
+Description=FluidSynth Daemon
+After=sound.target
+
+[Service]
+ExecStart=/usr/bin/fluidsynth -is -a alsa -m alsa_seq -r 48000 # append soundfont path here
+
+[Install]
+WantedBy=multi-user.target

Copied: fluidsynth/repos/testing-x86_64/PKGBUILD (from rev 166534, fluidsynth/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Ray Rashif <schiv at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+pkgname=fluidsynth
+pkgver=1.1.6
+pkgrel=1
+pkgdesc="A real-time software synthesizer based on the SoundFont 2 specifications"
+arch=('i686' 'x86_64')
+url="http://www.fluidsynth.org/"
+depends=('glib2' 'jack' 'dbus-core' 'libpulse')
+makedepends=('cmake' 'ladspa' 'doxygen')
+optdepends=('pulseaudio: PulseAudio sound support')
+license=('LGPL')
+backup=('etc/conf.d/fluidsynth')
+install=$pkgname.install
+source=("http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+        'fluidsynth.conf'
+        'fluidsynth.rc'
+        'fluidsynth.systemd')
+md5sums=('ae5aca6de824b4173667cbd3a310b263'
+         '7d0ab0d75d4e87652f4cb7ffeac8a82b'
+         'b296dbfb524c2164f552f68bd9abe2ec'
+         'e0406748a154409907df62292be32e8a')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  cmake . -DCMAKE_INSTALL_PREFIX=/usr \
+          -DCMAKE_BUILD_TYPE=Release \
+          -Denable-ladspa=ON \
+          -DLIB_SUFFIX=""
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver"
+
+  make DESTDIR="$pkgdir/" install
+
+  install -Dm644 "$srcdir/fluidsynth.conf" \
+    "$pkgdir/etc/conf.d/fluidsynth"
+
+  install -Dm755 "$srcdir/fluidsynth.rc" \
+    "$pkgdir/etc/rc.d/fluidsynth"
+
+  install -Dm644 "$srcdir/fluidsynth.systemd" \
+    "$pkgdir/usr/lib/systemd/system/fluidsynth.service"
+}
+
+# vim:set ts=2 sw=2 et:

Copied: fluidsynth/repos/testing-x86_64/fluidsynth.conf (from rev 166534, fluidsynth/trunk/fluidsynth.conf)
===================================================================
--- testing-x86_64/fluidsynth.conf	                        (rev 0)
+++ testing-x86_64/fluidsynth.conf	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,2 @@
+FSYNTH_OPTS="-a alsa -m alsa_seq -r 48000"
+FSYNTH_SOUNDFONT="" # path to your soundfont

Copied: fluidsynth/repos/testing-x86_64/fluidsynth.install (from rev 166534, fluidsynth/trunk/fluidsynth.install)
===================================================================
--- testing-x86_64/fluidsynth.install	                        (rev 0)
+++ testing-x86_64/fluidsynth.install	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,19 @@
+post_install() {
+	echo
+	echo "  > To use FluidSynth as a daemon edit /etc/conf.d/fluidsynth"
+	echo
+	echo "  > Systemd users need to copy the service file from:"
+	echo "      /usr/lib/systemd/system/fluidsynth.service"
+	echo "  > to:"
+	echo "      /etc/systemd/system/multi-user.target.wants/"
+	echo "  > and then edit accordingly."
+	echo
+	echo "  > PulseAudio output when running as a daemon"
+	echo "  > is known to be problematic. See:"
+	echo "      https://bbs.archlinux.org/viewtopic.php?id=135092"
+	echo
+}
+
+post_upgrade() {
+	post_install
+}

Copied: fluidsynth/repos/testing-x86_64/fluidsynth.rc (from rev 166534, fluidsynth/trunk/fluidsynth.rc)
===================================================================
--- testing-x86_64/fluidsynth.rc	                        (rev 0)
+++ testing-x86_64/fluidsynth.rc	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+[ -f /etc/conf.d/fluidsynth ] && . /etc/conf.d/fluidsynth
+
+PID=`pidof -o %PPID /usr/bin/fluidsynth`
+case "$1" in
+   start)
+     stat_busy "Starting Fluidsynth soundfont synthesizer"
+     [ -z "$PID" ] && /usr/bin/fluidsynth -is $FSYNTH_OPTS $FSYNTH_SOUNDFONT > /dev/null 2>&1 &
+     if [ $? -gt 0 ]; then
+       stat_fail
+     else
+       echo $PID > /var/run/fluidsynth.pid
+       add_daemon fluidsynth
+       stat_done
+     fi
+     ;;
+   stop)
+     stat_busy "Stopping Fluidsynth soundfont synthesizer"
+     [ ! -z "$PID" ]  && kill $PID &> /dev/null 2>&1
+     if [ $? -gt 0 ]; then
+       stat_fail
+     else
+       rm /var/run/fluidsynth.pid
+       rm_daemon fluidsynth
+       stat_done
+     fi
+     ;;
+   restart)
+     $0 stop
+     sleep 1
+     $0 start
+     ;;
+   *)
+     echo "usage: $0 {start|stop|restart}"
+esac
+exit 0

Copied: fluidsynth/repos/testing-x86_64/fluidsynth.systemd (from rev 166534, fluidsynth/trunk/fluidsynth.systemd)
===================================================================
--- testing-x86_64/fluidsynth.systemd	                        (rev 0)
+++ testing-x86_64/fluidsynth.systemd	2012-09-09 20:43:05 UTC (rev 166535)
@@ -0,0 +1,9 @@
+[Unit]
+Description=FluidSynth Daemon
+After=sound.target
+
+[Service]
+ExecStart=/usr/bin/fluidsynth -is -a alsa -m alsa_seq -r 48000 # append soundfont path here
+
+[Install]
+WantedBy=multi-user.target




More information about the arch-commits mailing list